Summary:       Video Acceleration (VA) API for Linux
Name:          libva
Version:       2.20.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/intel/libva
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: meson, gcc
BuildRequires: libudev-devel
%{!?_without_xorg:
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
}
BuildRequires: libdrm-devel, libpciaccess-devel
BuildRequires: mesa-libEGL-devel, mesa-libGL-devel, mesa-libGLES-devel
%{!?_without_wayland:
BuildRequires: wayland-devel
BuildRequires: pkgconfig(wayland-client) >= 1
BuildRequires: pkgconfig(wayland-scanner) >= 1
}
# owns the %%{_libdir}/dri directory
Requires:     mesa-filesystem

%description
Libva is a library providing the VA API video acceleration API.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version}

%build
%meson \
%{?_without_xorg: -Dwith_glx=no -Dwith_x11=no} \
%{?_without_wayland: -Dwith_wayland=no}

%meson_build

%install
%meson_install


%files
%license COPYING
%doc NEWS
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva.so.2*
%{_libdir}/libva-drm.so.2*
%{!?_without_wayland:
%{_libdir}/libva-wayland.so.2*
}
%{!?_without_xorg:
%{_libdir}/libva-x11.so.2*
%{_libdir}/libva-glx.so.2*
}

%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
* Tue Jun 04 2024 Upgrade Robot <upbot@opencloudos.tech> - 2.20.0-1
- Upgrade to version 2.20.0
- fix CVE-2023-39929

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.19.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.19.0-1
- Upgrade to version 2.19.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.0-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.16.0-2
- Rebuild libva

* Wed Nov 16 2022 cunshunxia <cunshunxia@tencent.com> - 2.16.0-1
- initial buil
